Oh no! Where's the JavaScript?
Your Web browser does not have JavaScript enabled or does not support JavaScript. Please enable JavaScript on your Web browser to properly view this Web site, or upgrade to a Web browser that does support JavaScript.
Sign In
Not a member yet? Click here to register.

7.00.07 to 7.01.00 sql error

Hi Guys, any help on how to work round this please?

I'm trying to update my old site to 7.02.06 ideally. (had a v 7.02.04 site hacked- so trying to update this one as a precaution)
Firstly upgrading to 7.01.00 as advised, throws an error.

I copy across the upgrade.php , login as super admin, click the upgrade button.

I get a screenful of syntax errors reported in my sql databse
e.g.
error in line7 type=MyISAM user_field_cats doesn't exist
error in line8 type=MyISAM fusion_suspends already exists.....etc
It finishes with the words database upgrade successful. !

My site then loses many panels etc.
If I copy across all the rest of the files from 7.01.00, the site then fails to work totally

I need to restore the sql DB and many php files to get it back working.

What am I doing wrong please? The SQL db is somehow corrupting or needs editing to change something?

Any other way to upgrade?...eg. Can I clear all files, do a new install of 7.02.06 and then copy in my images/forum data?

cheers for any help

Andy
Thread Information
Author
Replies
1 post
Views
1,558 times
Last Post
Last updated on 7 years ago
You can view all discussion threads in this forum.
You cannot set up a bounty in this discussion thread.
You can start a new discussion thread in this forum.
You cannot reply in this discussion thread.
You cannot start on a poll in this forum.
You cannot upload attachments in this forum.
You can download attachments in this forum.
You cannot up or down-vote on the post in this discussion thread.
Users who participated in discussion: andywilks